	mui.init();

		
			mui.back = function() {
				mui.openWindow({
					
					url: 'flow_main.html'				
				});
				
					
			}
			var pageNo = 1;
			var pageNo2 = 1;
			(function($) {
				var segmentedControl = document.getElementById('segmentedControl22');
				$('.mui-input-group').on('change', 'input', function() {
					if(this.checked) {
						var styleEl = document.querySelector('input[name="style"]:checked');
						console.log(styleEl);
						var colorEl = document.querySelector('input[name="color"]:checked');
						if(styleEl && colorEl) {
							var style = styleEl.value;
							var color = colorEl.value;
							segmentedControl.className = 'mui-segmented-control' + (style ? (' mui-segmented-control-' + style) : '') + ' mui-segmented-control-' + color;
						}
					}
				});
				//初始化单页的区域滚动
				mui('.mui-scroll-wrapper').scroll();
				//阻尼系数
				var deceleration = mui.os.ios ? 0.003 : 0.0009;
				$('.mui-scroll-wrapper').scroll({
					bounce: false,
					indicators: true, //是否显示滚动条
					deceleration: deceleration
				});
				var summaryAccount;
				var receiveAccount;

				mui.plusReady(function() {

					console.log("flow_approve_list.html====plusReady");

					var self1 = plus.webview.currentWebview();
					
					var sm = self1.smid;
					var re = self1.reid;
					
					var phfirst = true;
					var refirst = true;

					summaryAccount = document.getElementById("summaryAccount");
					receiveAccount = document.getElementById("receiveAccount");

					//循环初始化所有下拉刷新，上拉加载。
					$.each(document.querySelectorAll('.mui-slider-group .mui-scroll'), function(index, pullRefreshEl) {
						$(pullRefreshEl).pullToRefresh({
							down: {
								callback: function() {
									var self = this;
									setTimeout(function() {
										var ul = self.element.querySelector('.mui-table-view');
										createFragment2(ul, self);
										self.endPullDownToRefresh();
									}, 1000);
								}
							},
							up: {
								contentrefresh: '正在加载...',
								auto: true, //可选,默认false.自动上拉加载一次
								callback: function() {
									var self = this;
									setTimeout(function() {
										var ul = self.element.querySelector('.mui-table-view');
										console.log(pullRefreshEl.id);
										createFragment(ul, self);
										self.endPullUpToRefresh();
									}, 1000);
								}
							}
						});
					});
					var createFragment = function(ul, self) {
						var dataType = self.element.id;
						if("summaryAccountDiv" == dataType) {
							sadown(ul, self);
						} else if("receiveAccountDiv" == dataType) {
							radown(ul, self);
						} 
					}

					//下拉菜单

					var createFragment2 = function(ul, self) {
						var dataType = self.element.id;
						if("summaryAccountDiv" == dataType) {
							pageNo = 1;
							vmA.itemAs = [];
							sadown(ul, self);
						} else if("receiveAccountDiv" == dataType) {
							pageNo2 = 1;
							vmB.itemBs = [];
							radown(ul, self);
						} 
					}

					//总经会会议纪要
					function sadown(ul, self) {
						var url = API.API_URL();
						var state = app.getState(); //获取登陆信息
						var staffId = state.user.useId;
						var type = '1';
						var obj = {
							'serviceId': 'gov_2018V0010PHONE001',
							'params': '{staffId:' + staffId + ',p:"' + pageNo + '",pSize:"' + APP.PageSize + '",type:"'+type+'"}'
						};
						mui.ajax(url, {
							dataType: 'json', //服务器返回json格式数据
							type: 'post', //HTTP请求类型
							data: obj,
							timeout: 10000, //超时时间设置为10秒；
							headers: {
								'Accept': 'application/json'
							}, //超时时间设置为10秒；
							success: function(data) {
								if(data.returnCode == "0") {
									var result = data.returnParams.list;
									console.log(JSON.stringify(data));
									var totalRow = data.returnParams.total;
									var totalPage = Math.ceil(totalRow / APP.PageSize);
									if(totalPage == 0) {
										totalPage = 1;
									}
									console.log("总经会台账计算总页数==" + totalPage);
									if(result.length > 0) {
										vmA.itemAs = vmA.itemAs.concat(result);
									}
									self.endPullUpToRefresh(totalPage == pageNo); //参数为true代表没有更多数据了。

									if(pageNo == 1 && totalPage > 1)

										self.refresh(true); //调用.refresh(true)方法，可重置上拉加载控件,注意：refresh()中需传入true
									pageNo = pageNo + 1;
								}
							},
							error: function(xhr, type, errorThrown) {}
						});
					}

					//收文台账
					function radown(ul, self) {
						var url = API.API_URL();
						var state = app.getState(); //获取登陆信息
						var staffId = state.user.useId;
						var type = '2';
						var obj = {
							'serviceId': 'gov_2018V0010PHONE002',
							'params': '{staffId:' + staffId + ',p:"' + pageNo2 + '",pSize:"' + APP.PageSize + '",type:"'+type+'"}'
						};
						mui.ajax(url, {
							dataType: 'json', //服务器返回json格式数据
							type: 'post', //HTTP请求类型
							data: obj,
							timeout: 10000, //超时时间设置为10秒；
							headers: {
								'Accept': 'application/json'
							},
							success: function(data) {
								if(data.returnCode == "0") {
									var result = data.returnParams.list;
									console.log(JSON.stringify(data));
									var totalRow = data.returnParams.total;
									var totalPage = Math.ceil(totalRow / APP.PageSize);
									if(totalPage == 0) {
										totalPage = 1;
									}
									console.log("收文台账计算总页数==" + totalPage);
									if(result.length > 0) {
										vmB.itemBs = vmB.itemBs.concat(result);
									}
									self.endPullUpToRefresh(totalPage == pageNo2); //参数为true代表没有更多数据了。
									if(pageNo2 == 1 && totalPage > 1)
										self.refresh(true); //调用.refresh(true)方法，可重置上拉加载控件,注意：refresh()中需传入true
									pageNo2 = pageNo2 + 1;
								}
							},
							error: function(xhr, type, errorThrown) {}
						});
					}
					
				});
			})(mui);

			//总经会会议台账
			var vmA = new Vue({
				el: '#summaryAccountDiv',
				data: {
					itemAs: [] //列表信息流数据
				}
			});
			//收文台账
			var vmB = new Vue({
				el: '#receiveAccountDiv',
				data: {
					itemBs: [] //列表信息流数据
				}
			});

			

			/**
			 * 打开总经会会议纪要台账详情
			 * 
			 * @param {Object} item 当前点击的新闻对象
			 */
			function open_detailA(itemA) {
				
				//触发子窗口变更新闻详情
				//console.log("item****B" + itemA);
				var file_name = itemA.file_name;
				var bianhao = itemA.bianhao;
				var fenshu = itemA.fenshu;
				var jingyingbanzi = itemA.jingyingbanzi;
				var fuzeren = itemA.fuzeren;
				var jingbanren = itemA.jingbanren;
				var send_date = itemA.send_date;
				var remark = itemA.remark;
				var fujian = itemA.fujian;
				var srcfile = itemA.srcfile;
				var path = itemA.path;
				
				var page = "summary_approve.html";
				console.log("*************" + srcfile + "===========" + path +"----"+file_name+"----"+fujian);
				mui.openWindow({
					createNew: true,
					url: page,
					extras: {
						file_name: file_name,
						bianhao: bianhao,
						fenshu: fenshu,
						jingyingbanzi: jingyingbanzi,
						fuzeren: fuzeren,
						jingbanren: jingbanren,
						send_date: send_date,
						remark: remark,
						fujian: fujian,
						srcfile: srcfile,
						path: path
						
					}
				});
			}

			/**
			 * 打开收文台账详情
			 * 
			 * @param {Object} item 当前点击的新闻对象
			 */
			function open_detailB(itemB) {
				//触发子窗口变更新闻详情
				//console.log("itemB***" + itemB);
				var file_name = itemB.file_name;
				var bianhao = itemB.bianhao;
				var fenshu = itemB.fenshu;
				var send_dept = itemB.send_dept;
				var receive_dept = itemB.receive_dept;
				var jingbanren = itemB.jingbanren;
				var send_date = itemB.send_date;
				var end_date = itemB.end_date;
				var remark = itemB.remark;
				var fujian = itemB.fujian;
				var srcfile = itemB.srcfile;
				var path = itemB.path;
				
				var page = "account_approve.html";

				mui.openWindow({
					createNew: true,
					url: page,
					extras: {
						file_name: file_name,
						bianhao: bianhao,
						fenshu: fenshu,
						send_dept:send_dept,
						receive_dept:receive_dept,
						jingbanren:jingbanren,
						send_date: send_date,
						end_date:end_date,
						remark:remark,
						fujian:fujian,
						srcfile:srcfile,
						path: path
					}
				});
			}